The Cancel order method is used to start the process of cancelling an order for a subscription for the current reseller or any of its downstream resellers. The standard logic of the platform is used (see Cancelling an order).
POST {{base_url}}/api/v3/resellers/{{reseller_id}}/orders/{{order_id}}/cancel_operation
Authentication
This endpoint requires a JWT access token. Specify the token in the Authorization header using the Bearer authentication scheme:
Authorization: Bearer <JWT_ACCESS_TOKEN>
In Postman, select Bearer Token on the Authorization tab and enter the JWT access token.
Arguments
|
Name |
Parameter Type |
Data type |
Required/Optional |
Description |
|---|---|---|---|---|
|
Content-Type |
header |
string |
Required |
Media type of the request. Specify the following: application/vnd.api+json |
|
Accept |
header |
string |
Required |
Supported media types of the answer. Specify the following: application/vnd.api+json |
|
base_url |
path |
string |
Required |
ActivePlatform URL |
|
reseller_id |
path |
integer |
Required |
ID of the current reseller or any of its downstream resellers (see Viewing and updating reseller general information) |
|
order_id |
path |
integer |
Required |
ID of the order to cancel |
Response model
If no errors are encountered, the method returns an empty response with the 200 OK status.
Request example
POST /api/v3/resellers/1/orders/10914/cancel_operation
Host: test.activeplatform.com
Content-Type: application/vnd.api+json
Authorization: Bearer <JWT_ACCESS_TOKEN>
Accept: application/vnd.api+json